package cn.superdesk.uniorder.common.enums;

/***
 * 统一订单对外接口code
 * @author Administrator
 *
 */
public enum UnifiedCode {

	SUCCESS(1, "成功"),
	JSON_ERROR(10001, "json格式错误！"),
	SERVICENO_ERROR(10002, "服务号错误！"),
	PROJECT_ERROR(10003, "项目不存在！"),
	GOODS_EMPTY(10004, "无货品数据！"),
	REQUIRED_NOT(10005, "必填项缺失！"),
	SIGN_ERROR(10006, "签名错误！"),
	OTHER_ERROR(10099, "未知错误！"),
	;
	private int    code;
	private String msg;

	UnifiedCode(int code, String msg) {
		this.setCode(code);
		this.setMsg(msg);
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}
}
